Skip to main content

Validation Services

Tax Code Validation

Check the formal validity and structure of an Italian tax code (Codice Fiscale) and get a quality flag and code that describe the result.

Endpoint​

POSThttps://{host}:{port}/Egon/api/norm

Headers & authentication​

Required request headers and their expected values.

FieldTypeDescription
tokenreq
String

Authentication token sent in the token request header.

Request​

Country context, `taxfnx` function `2`, and tax code to check.

FieldTypeDescription
parreq
Object

Country context and tax-code validation function.

iso2
String

Country code, ISO 3166-1 alpha-2.

One of iso2 or iso3 is required.

iso3
String

Country code, ISO 3166-1 alpha-3.

One of iso2 or iso3 is required.

taxfnxreq
String

Tax-code configuration function.

  • 2 Formal check and validation

Default value: 2

datareq
Object

Input data to validate

tax_codereq
Object

Italian tax code to validate

cod_iso3
String

Country code (ISO 3166-1 alpha-3)

cod_type
String

Type of code

cod_descriptionreq
String

Italian tax code to check

Response​

Validated tax code, extraction verification quality indicator, and system status.

FieldTypeDescription
data
Object

Normalized and enriched validation output data

tax_code
Object

Validated tax code details

cod_description
String

Italian tax code

quality
Object

Validation quality indicators and score flags

tax_code
Object

Quality indicator result (see https://documentation.egon.com/docs/quality-indicators)

flag
String

Quality flag

code
Number

Quality result code

description
String

Quality result description

system
Object

Request processing status.

ret_code
Number

Processing result code. 0 means no blocking error.

des_ret_code
String

Human-readable processing result.

Request Example
curl -X POST "https://{host}:{port}/Egon/api/norm" \
-H "token: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"par": {
"iso3": "ITA",
"taxfnx": "2"
},
"data": {
"tax_code": {
"cod_iso3": "ITA",
"cod_type": "01110",
"cod_description": "RSSMRA93B19L781K"
}
}
}'